Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.complex
Interface ComplexSequenceType

All Superinterfaces:
  SequenceType

All Known Implementing Classes:
  AbstractComplexSequenceType, DefaultComplexSequenceType

public interface ComplexSequenceType
extends SequenceType

ComplexSequenceType.java Created: Tue Feb 29 11:25:27 2000

Version:
  $Id: ComplexSequenceType.java,v 1.3 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Method Summary
`Modification[]` | `getModifications()` Gets all of the Modifications which are allowable in this sequence type.
`boolean` | `isAllowableElement(ComplexElement elem)` Is this given element allowable in this sequence type.
`boolean` | `isModification(Modification mod)` Is this modification one which is allowable in this sequence type.
`boolean` | `isModification(Modification[] mod)` Are these modifications allowable in this sequence type.

Methods inherited from interface uk.ac.man.bioinf.sequence.SequenceType
`getElementForInt, getElements, getIntForElement, getName, isElement, isElement, isElement, isElement, size`

Method Detail

### getModifications

    public Modification[] getModifications()

  Gets all of the Modifications which are allowable in this sequence type. This should be immutable for a given instance of this.

  Returns:
    the modifications

### isModification

    public boolean isModification(Modification mod)

  Is this modification one which is allowable in this sequence type. This should be immutable for a given instance of this.

  Parameters:
    `mod` - the modification
  Returns:
    true if the modification is allowable

### isModification

    public boolean isModification(Modification[] mod)

  Are these modifications allowable in this sequence type. This should be immutable.

  Parameters:
    `mod` - the modifications
  Returns:
    true if all the modifications are allowable

### isAllowableElement

    public boolean isAllowableElement(ComplexElement elem)

  Is this given element allowable in this sequence type. A trivial implementation of this would simply check if the ComplexElement Residue is allowable, and all of the Modifications for this ComplexElement are allowable. However there are other possibilties if for instance not all Residues in a given sequence type are Modifiable by all the allowable modifications

  Parameters:
    `elem` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD